import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import { useNearScreen } from '@s-ui/react-hooks';
import AtomIcon from './Icon';
export default function LazyIcon(_ref) {
  var children = _ref.children,
      restOfProps = _objectWithoutPropertiesLoose(_ref, ["children"]);

  var _useNearScreen = useNearScreen(),
      isIntersecting = _useNearScreen[0],
      outerRef = _useNearScreen[1];

  return /*#__PURE__*/React.createElement(AtomIcon, restOfProps, isIntersecting ? children : /*#__PURE__*/React.createElement("svg", {
    ref: outerRef
  }));
}